Bug 43887 - Nagios portal entry is missing
Nagios portal entry is missing
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Portal
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2
Assigned To: Stefan Gohmann
Erik Damrose
: interim-4
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-16 06:32 CET by Stefan Gohmann
Modified: 2017-04-04 18:28 CEST (History)
0 users

See Also:
What kind of report is it?: Development Internal
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
USI (417.11 KB, application/x-bzip)
2017-03-16 06:32 CET, Stefan Gohmann
Details
dpkg.log (134.83 KB, text/plain)
2017-03-16 06:33 CET, Stefan Gohmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2017-03-16 06:32:41 CET
Created attachment 8547 [details]
USI

I'm not sure which bug I should re-open, so I'll create a new one. Feel free to merge it to an existing bug.

I've installed a DC Master with Samba 4 and Nagios. Afterwards the portal shows only UMC and the server view.

The following UCR variables are created:

root@master421:~# ucr search --brief overview/entries/admin/nagios
ucs/web/overview/entries/admin/nagios/description/de: Netzwerk-, Host- und Serviceüberwachung
ucs/web/overview/entries/admin/nagios/description: Network, host and service monitoring system
ucs/web/overview/entries/admin/nagios/label/de: Univention Nagios
ucs/web/overview/entries/admin/nagios/label: Univention Nagios
ucs/web/overview/entries/admin/nagios/link: /nagios/
ucs/web/overview/entries/admin/nagios/priority: 50
root@master421:~# rgrep -i nagios /usr/share/univention-portal/portal.json
root@master421:~# 

Because I don't know which files you need, I've added an USI (http://sdb.univention.de/1174).
Comment 1 Stefan Gohmann univentionstaff 2017-03-16 06:33:53 CET
Created attachment 8548 [details]
dpkg.log

The package list is missing due to Bug #43886.
Comment 2 Stefan Gohmann univentionstaff 2017-03-18 21:37:24 CET
The Nagios UCR variables are set in the package postinst. At this time the LDAP doesn't exist and the entries can't be created.
Comment 3 Stefan Gohmann univentionstaff 2017-03-19 12:01:34 CET
r77936:
* 35univention-portal.inst: Reset old UCR variables otherwise the UCR
  handler is not executed (Bug #43887)

r77937:
* Added Bug #43887 to existing entry"
Comment 4 Stefan Gohmann univentionstaff 2017-03-19 19:39:07 CET
My tests were successful.
Comment 5 Erik Damrose univentionstaff 2017-03-20 17:27:53 CET
Verified: Entry is available after my tests; changelog ok
Comment 6 Stefan Gohmann univentionstaff 2017-04-04 18:28:12 CEST
UCS 4.2 has been released:
 https://docs.software-univention.de/release-notes-4.2-0-en.html
 https://docs.software-univention.de/release-notes-4.2-0-de.html

If this error occurs again, please use "Clone This Bug".